Skip to main content
GET
/
macro
/
interest-rates
Interest Rates (Historical)
curl --request GET \
  --url https://api.aisa.one/apis/v1/financial/macro/interest-rates \
  --header 'Authorization: Bearer <token>'
{
  "interest_rates": [
    {
      "bank": "<string>",
      "name": "<string>",
      "rate": 123,
      "date": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

bank
string
required

The bank whose interest rates to return. Use the /macro/interest-rates/banks endpoint to get a list of available banks.

start_date
string

The start date of the interest rates to return in YYYY-MM-DD format.

end_date
string

The end date of the interest rates to return in YYYY-MM-DD format.

Response

Interest rates response

interest_rates
object[]